import { html as c } from "lit";
import { property as p } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var g = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (i, o, s, t) => {
  for (var e = t > 1 ? void 0 : t ? m(o, s) : o, l = i.length - 1, a; l >= 0; l--)
    (a = i[l]) && (e = (t ? a(o, s, e) : a(e)) || e);
  return t && e && g(o, s, e), e;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--downloadLarge", this.class = "c-pieIcon c-pieIcon--downloadLarge", this.name = "IconDownloadLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--downloadLarge"><path d="M15.125 17.024V2.875h1.75v14.219l4.016-4.078 1.234 1.234-4.926 4.935a1.75 1.75 0 0 1-2.398 0L9.875 14.25l1.234-1.234zM24.75 7.25H19.5V9h5.25a.875.875 0 0 1 .875.875v15.75a.875.875 0 0 1-.875.875H7.25a.875.875 0 0 1-.875-.875V9.875A.875.875 0 0 1 7.25 9h5.25V7.25H7.25a2.625 2.625 0 0 0-2.625 2.625v15.75A2.625 2.625 0 0 0 7.25 28.25h17.5a2.625 2.625 0 0 0 2.625-2.625V9.875A2.625 2.625 0 0 0 24.75 7.25"></path></svg>`;
  }
};
n([
  p({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  p({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  f("icon-download-large")
], r);
export {
  r as IconDownloadLarge
};
